Design SVG Sprite Tools

aure
seal-mask
.a{fill-rule:evenodd;}techdegree seal-36
aure
Front End Web Development Techdegree Graduate 16,128 Points

I'm trying to install the SVG sprite and all the modules but it doesn't work and command gulp doesn't work

Hi, I'm new to node and npm. I tried to install everything following the video, but I have a lot of DEPRECATED files (what the Terminal says) and the command gulp doesn't work.

ReferenceError: primordials is not defined at fs.js:35:5

I did some Google research and I found this solution : https://timonweb.com/posts/how-to-fix-referenceerror-primordials-is-not-defined-error/

But it stills doesn't work with the new json file I created. I have this message then in the Terminal :

npm WARN read-shrinkwrap This version of npm is compatible with lockfileVersion@1, but npm-shrinkwrap.json was generated for lockfileVersion@0. I'll try to do my best with it! added 1 package and audited 516 packages in 1.867s

19 packages are looking for funding run npm fund for details

found 9 vulnerabilities (3 low, 6 high)

When I type the command gulp again, it doesn't work. Still the first error : ReferenceError: primordials is not defined at fs.js:35:5

Anyone have encoutered this problem? And did you find a solution? I'm now stuck and cannot really continue the lesson. Thank you. Aurelie